Bulk optimize multiple documents
curl --request POST \
--url https://api.avidoai.com/v0/documents/optimize \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"documentIds": [
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001",
"323e4567-e89b-12d3-a456-426614174002"
]
}
'import requests
url = "https://api.avidoai.com/v0/documents/optimize"
payload = { "documentIds": ["123e4567-e89b-12d3-a456-426614174000", "223e4567-e89b-12d3-a456-426614174001", "323e4567-e89b-12d3-a456-426614174002"] }
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
documentIds: [
'123e4567-e89b-12d3-a456-426614174000',
'223e4567-e89b-12d3-a456-426614174001',
'323e4567-e89b-12d3-a456-426614174002'
]
})
};
fetch('https://api.avidoai.com/v0/documents/optimize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Documents
Bulk optimize multiple documents
Triggers background optimization jobs for multiple documents. Returns information about which documents were successfully queued and which failed.
POST
/
v0
/
documents
/
optimize
Bulk optimize multiple documents
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for bulk optimizing multiple documents
Array of document IDs to optimize
Minimum array length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]
Response
Bulk optimization request processed
⌘I